godo.AgentPlatform.GetSimulationEpisodeTrajectoryURL()

Generated on 5 Nov 2026 from godo version v1.236.0

Usage

client.AgentPlatform.GetSimulationEpisodeTrajectoryURL(ctx context.Context, runUUID string, episodeUUID string) (*godo.SimulationEpisodeTrajectoryURLResponse, *godo.Response, error)

Description

GetSimulationEpisodeTrajectoryURL returns a presigned download URL for an episode’s trajectory JSON.

This method sends a GET request to /v2/gen-ai/simulation_runs/{}/episodes/{}/trajectory_url.

Parameters

runUUID string required
episodeUUID string required

Returns

*godo.SimulationEpisodeTrajectoryURLResponse
*godo.Response

The HTTP response, with pagination Links, Meta, and Rate limit information.

error

Non-nil when the request fails. API errors are returned as *godo.ErrorResponse.

Fields of godo.SimulationEpisodeTrajectoryURLResponse

SimulationEpisodeTrajectoryURLResponse is returned by GetSimulationEpisodeTrajectoryURL.

DownloadURL string

Omitted from JSON when empty. JSON key: download_url

ExpiresAt *godo.Timestamp

Omitted from JSON when empty. JSON key: expires_at

Request Sample

Show Request Sample
package main

import (
	"context"
	"fmt"
	"log"
	"os"

	"github.com/digitalocean/godo"
)

func main() {
	client := godo.NewFromToken(os.Getenv("DIGITALOCEAN_TOKEN"))
	ctx := context.TODO()

	result, _, err := client.AgentPlatform.GetSimulationEpisodeTrajectoryURL(ctx, "<your-run-uuid>", "<your-episode-uuid>")
	if err != nil {
		log.Fatal(err)
	}
	fmt.Printf("%+v\n", result)
}

More Information

See GET /v2/gen-ai/simulation_runs/{}/episodes/{}/trajectory_url in the API reference for additional detail on responses, headers, parameters, and more.

See the Go package documentation for the source of this method.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.